'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var ErrorCode =

/**
 * Create an ErrorCode instance.
 *
 * @param {string|number} code
 * @param {string} message
 */
function ErrorCode(code, meta) {
  _classCallCheck(this, ErrorCode);

  if (typeof code === 'string' || typeof code === 'number') {
    this.code = code;

    if (meta) {
      if ((typeof meta === 'undefined' ? 'undefined' : _typeof(meta)) === 'object') {
        this.meta = meta;
      } else {
        throw new Error('{meta} must be of type object');
      }
    }
  } else {
    throw new Error('{code} must be of type string or number');
  }
};

exports.default = ErrorCode;
module.exports = exports['default'];