'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _baseError = require('./types/base-error');

var _baseError2 = _interopRequireDefault(_baseError);

var _badRequestError = require('./types/bad-request-error');

var _badRequestError2 = _interopRequireDefault(_badRequestError);

var _forbiddenError = require('./types/forbidden-error');

var _forbiddenError2 = _interopRequireDefault(_forbiddenError);

var _internalServerError = require('./types/internal-server-error');

var _internalServerError2 = _interopRequireDefault(_internalServerError);

var _notFoundError = require('./types/not-found-error');

var _notFoundError2 = _interopRequireDefault(_notFoundError);

var _serviceUnavailableError = require('./types/service-unavailable-error');

var _serviceUnavailableError2 = _interopRequireDefault(_serviceUnavailableError);

var _unauthorizedError = require('./types/unauthorized-error');

var _unauthorizedError2 = _interopRequireDefault(_unauthorizedError);

var _validationError = require('./types/validation-error');

var _validationError2 = _interopRequireDefault(_validationError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  BaseError: _baseError2.default,
  BadRequestError: _badRequestError2.default,
  ForbiddenError: _forbiddenError2.default,
  InternalServerError: _internalServerError2.default,
  NotFoundError: _notFoundError2.default,
  ServiceUnavailableError: _serviceUnavailableError2.default,
  UnauthorizedError: _unauthorizedError2.default,
  ValidationError: _validationError2.default
};
module.exports = exports['default'];