'use strict';

import BaseError from './types/base-error';
import BadRequestError from './types/bad-request-error';
import ForbiddenError from './types/forbidden-error';
import InternalServerError from './types/internal-server-error';
import NotFoundError from './types/not-found-error';
import ServiceUnavailableError from './types/service-unavailable-error';
import UnauthorizedError from './types/unauthorized-error';
import ValidationError from './types/validation-error';

export default {
  BaseError,
  BadRequestError,
  ForbiddenError,
  InternalServerError,
  NotFoundError,
  ServiceUnavailableError,
  UnauthorizedError,
  ValidationError
}
