'use strict';

/**
 *
 */

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var ErrorFormatter =

/**
 * Create a new ErrorFormatter instance.
 *
 * @param {} errorType
 * @param {function} formatFunction
 */
function ErrorFormatter(errorType, formatFunction) {
  _classCallCheck(this, ErrorFormatter);

  this.formatType = function () {
    return errorType;
  };

  if (typeof formatFunction === 'function') {
    this.format = formatFunction;
  } else {
    throw new Error('{formatFunction} must be a function');
  }
};

exports.default = ErrorFormatter;
module.exports = exports['default'];