'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _baseError = require('./base-error');

var _baseError2 = _interopRequireDefault(_baseError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ForbiddenError = function (_BaseError) {
  _inherits(ForbiddenError, _BaseError);

  /**
   * Create a ForbiddenError response
   *
   * @returns {Object} error
   */
  function ForbiddenError() {
    _classCallCheck(this, ForbiddenError);

    var _this = _possibleConstructorReturn(this, (ForbiddenError.__proto__ || Object.getPrototypeOf(ForbiddenError)).call(this));

    _this.type = ForbiddenError.getType();
    _this.status = 403;
    _this.message = 'You are forbidden to make that request';
    return _this;
  }

  /**
   * Retrieve the type of the error.
   *
   * @returns {string}
   */


  _createClass(ForbiddenError, null, [{
    key: 'getType',
    value: function getType() {
      return 'ForbiddenError';
    }
  }]);

  return ForbiddenError;
}(_baseError2.default);

exports.default = ForbiddenError;
module.exports = exports['default'];