'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _baseError = require('./base-error');

var _baseError2 = _interopRequireDefault(_baseError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ServiceUnavailableError = function (_BaseError) {
  _inherits(ServiceUnavailableError, _BaseError);

  /**
   * Create a NotFoundError response
   *
   * @returns {Object} error
   */
  function ServiceUnavailableError() {
    _classCallCheck(this, ServiceUnavailableError);

    var _this = _possibleConstructorReturn(this, (ServiceUnavailableError.__proto__ || Object.getPrototypeOf(ServiceUnavailableError)).call(this));

    _this.type = ServiceUnavailableError.getType();
    _this.status = 503;
    _this.message = 'The service is unavailable';
    return _this;
  }

  /**
   * Retrieve the type of the error.
   *
   * @returns {string}
   */


  _createClass(ServiceUnavailableError, null, [{
    key: 'getType',
    value: function getType() {
      return 'ServiceUnavailableError';
    }
  }]);

  return ServiceUnavailableError;
}(_baseError2.default);

exports.default = ServiceUnavailableError;
module.exports = exports['default'];