'use strict';

/**
 *
 */
export default class ErrorFormatter {

  /**
   * Create a new ErrorFormatter instance.
   *
   * @param {} errorType
   * @param {function} formatFunction
   */
  constructor(errorType, formatFunction) {
    this.formatType = function() {
      return errorType;
    }

    if (typeof formatFunction === 'function') {
      this.format = formatFunction;
    } else {
      throw new Error('{formatFunction} must be a function');
    }
  }

}
